Update arguments of the failed step and retry it

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedureInstances/{deploymentProcedureInstanceId}/actions/updateAndRetryStep

Update arguments of the failed step and retrying failed steps of deployment procedure instance latest execution if execution Id is not specified and if execution id is specified, then particular execution id steps will be retried.It is equivalent to update_and_retry_step in emcli.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Includes stateId, execution Id and args.
Show Source
  • The format of the arguments are name value pairs. Name and value are separated by colon and each pair is separated by semicolon
    Example: command:ls
  • Represents executionId of a deployment procedure instance.
    Example: CC1871802C4343A3E053E00F4B640972
  • stateId of the failed step.
    Example: CC1871802C4343A3E053E00F4B640973
Back to Top

Response

Supported Media Types

202 Response

A request to update the arguments and retry the failed steps was accepted
Headers
  • URL to get the status of update and retry step action .
Body ()
Root Schema : schema
Type: object
Show Source
  • code
    Example: 202
  • Rest Api message for update and retry step.
    Example: A request to update the arguments and retry the failed steps was accepted

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top